# PetscMallocValidate

Test the memory for corruption. This can be used to check for memory overwrites.

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscMallocValidate(int line,const char function[],const char file[],const char dir[])

### Input Parameter

| line | - line number where call originated.
| function | - name of function calling
| file | - file where function is
| dir | - directory where function is

### Return value

The number of errors detected.

### Output Effect

Error messages are written to stdout.

### Notes

You should generally use CHKMEMQ as a short cut for calling this routine.

The line, function, file and dir are given by the C preprocessor as __LINE__, __FUNCT__, __FILE__, and __DIR__

The Fortran calling sequence is simply PetscMallocValidate(ierr)

No output is generated if there are no problems detected.

### See Also

CHKMEMQ

Level:advanced
Location: src/sys/memory/mtr.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages